| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
VerbatimTextDescriptor Class Referenceabstract

`#include <VerbatimTextDescriptor.hpp>`

## Public Types

using | _ref_type = typename traits<VerbatimTextDescriptor>::ref_type

## Public Member Functions

virtual std::string & | placement ()=0
| Returns the location within the generated output at which the output text should be inserted.
virtual const std::string & | placement () const =0
| Returns the location within the generated output at which the output text should be inserted.
virtual void | placement (const std::string &placement)=0
| Sets the location within the generated output at which the output text should be inserted.
virtual void | placement (std::string &&placement)=0
| Sets the location within the generated output at which the output text should be inserted.
virtual std::string & | text ()=0
| Returns the literal output text.
virtual const std::string & | text () const =0
| Returns the literal output text.
virtual void | text (const std::string &text)=0
| Sets the literal output text.
virtual void | text (std::string &&text)=0
| Sets the literal output text.
virtual ReturnCode_t | copy_from (traits< VerbatimTextDescriptor >::ref_type descriptor)=0
| Overwrites the contents of this descriptor with those of another descriptor.
virtual bool | equals (traits< VerbatimTextDescriptor >::ref_type descriptor)=0
| Compares.
virtual bool | is_consistent ()=0
| Indicates whether the states of all of this descriptor's properties are consistent.

## Protected Member Functions

| VerbatimTextDescriptor ()=default
| VerbatimTextDescriptor (const VerbatimTextDescriptor &type)=default
| VerbatimTextDescriptor (VerbatimTextDescriptor &&type)=default
virtual | ~VerbatimTextDescriptor ()=default

## Member Typedef Documentation

## ◆ _ref_type

using _ref_type = typename traits<VerbatimTextDescriptor>::ref_type

## Constructor & Destructor Documentation

## ◆ VerbatimTextDescriptor() [1/3]

VerbatimTextDescriptor | ( |  | ) |

protected default

## ◆ VerbatimTextDescriptor() [2/3]

VerbatimTextDescriptor | ( | const VerbatimTextDescriptor & | type | ) |

protected default

## ◆ VerbatimTextDescriptor() [3/3]

VerbatimTextDescriptor | ( | VerbatimTextDescriptor && | type | ) |

protected default

## ◆ ~VerbatimTextDescriptor()

virtual ~VerbatimTextDescriptor | ( |  | ) |

protected virtual default

## Member Function Documentation

## ◆ copy_from()

virtual ReturnCode_t copy_from | ( | traits< VerbatimTextDescriptor >::ref_type | descriptor | ) |

pure virtual

Overwrites the contents of this descriptor with those of another descriptor.

Parameters

  [in] | descriptor | reference.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the copy was successful.
  RETCODE_BAD_PARAMETER | when descriptor reference is nil.

## ◆ equals()

virtual bool equals | ( | traits< VerbatimTextDescriptor >::ref_type | descriptor | ) |

pure virtual

Compares.

Parameters

  [in] | descriptor | reference to compare to.

Returns
  bool true on equality

## ◆ is_consistent()

virtual bool is_consistent | ( |  | ) |

pure virtual

Indicates whether the states of all of this descriptor's properties are consistent.

Returns
  bool true if consistent.

## ◆ placement() [1/4]

virtual const std::string & placement | ( |  | ) | const

pure virtual

Returns the location within the generated output at which the output text should be inserted.

Returns
  The location.

## ◆ placement() [2/4]

virtual std::string & placement | ( |  | ) |

pure virtual

Returns the location within the generated output at which the output text should be inserted.

Returns
  The location.

## ◆ placement() [3/4]

virtual void placement | ( | const std::string & | placement | ) |

pure virtual

Sets the location within the generated output at which the output text should be inserted.

Parameters

  [in] | placement | The location.

## ◆ placement() [4/4]

virtual void placement | ( | std::string && | placement | ) |

pure virtual

Sets the location within the generated output at which the output text should be inserted.

Parameters

  [in] | placement | The location.

## ◆ text() [1/4]

virtual const std::string & text | ( |  | ) | const

pure virtual

Returns the literal output text.

Returns
  The text.

## ◆ text() [2/4]

virtual std::string & text | ( |  | ) |

pure virtual

Returns the literal output text.

Returns
  The text.

## ◆ text() [3/4]

virtual void text | ( | const std::string & | text | ) |

pure virtual

Sets the literal output text.

Parameters

  [in] | text | The text.

## ◆ text() [4/4]

virtual void text | ( | std::string && | text | ) |

pure virtual

Sets the literal output text.

Parameters

  [in] | text | The text.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/dynamic_types/VerbatimTextDescriptor.hpp